@echo off
if %1!==! goto USAGE

:START
cls
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ Star Control II(tm) Hard Drive Installation Utility บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ                                                     บ
echo บ     This utility will decompress all of the files   บ
echo บ     for Star Control II from your floppy drive to   บ
echo บ     to your hard drive.                             บ
echo บ                                                     บ
echo บ     If you don't want to install Star Control II    บ
echo บ     on your hard drive, press CTRL-C now.           บ
echo บ                                                     บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
pause

:VALIDDRIVE
if %1 == c: goto INSTALL
if %1 == d: goto INSTALL
if %1 == e: goto INSTALL
if %1 == f: goto INSTALL
if %1 == g: goto INSTALL
if %1 == C: goto INSTALL
if %1 == D: goto INSTALL
if %1 == E: goto INSTALL
if %1 == F: goto INSTALL
if %1 == G: goto INSTALL
goto USAGE

:INSTALL
snoop
if ERRORLEVEL 66 GOTO LOGB
:LOGA
set SRCDRV=A
GOTO NEXT

:LOGB
set SRCDRV=B

:NEXT
%1
%SRCDRV%:diskfree %1 9200000
if not errorlevel 1 goto NEEDSPACE

if %2!==! goto DEFAULTDIR
echo making directory %1\%2\STARCON2...
md %1\%2\STARCON2
copy install.bat %1\%2\STARCON2\temp.tmp
if not exist %1\%2\STARCON2\temp.tmp goto NOSUCHDIR
del %1\%2\STARCON2\temp.tmp
cd \%2\STARCON2
goto begin

:DEFAULTDIR
echo making directory %1\STARCON2...
md %1\STARCON2
copy %SRCDRV%:install.bat %1\STARCON2\temp.tmp
if not exist %1\STARCON2\temp.tmp goto DIRPROBLEM
del %1\STARCON2\temp.tmp
cd \STARCON2
goto begin

:BEGIN

:DISK1
echo Decompressing files from Disk #1... 
%SRCDRV%:sc2_a.exe

:DISK2
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ       Please Insert Star Control II Disk #2         บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
if not exist %SRCDRV%:sc2_b.exe goto DISK2
echo Decompressing files from Disk #2... 
%SRCDRV%:sc2_b.exe

:DISK3
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ       Please Insert Star Control II Disk #3         บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
if not exist %SRCDRV%:sc2_c.exe goto DISK3
echo Decompressing files from Disk #3... 
%SRCDRV%:sc2_c.exe

:DISK4
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ       Please Insert Star Control II Disk #4         บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
if not exist %SRCDRV%:sc2_d.exe goto DISK4
echo Decompressing files from Disk #4... 
%SRCDRV%:sc2_d.exe
goto DONE

:USAGE
cls
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ              USAGE: INSTALL Drive                   บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   Where [Drive] is the letter of the hard drive     บ
echo บ   (c:, d:, or e:) on which you want to install      บ
echo บ   Star Control II.                                  บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
goto EXIT

:DIRPROBLEM
echo problem with dir
cls
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ     PROBLEM:  Couldn't make STARCON2 directory      บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ    Please check that you specified a valid drive.   บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
cls
goto EXIT

:NOSUCHDIR
cls
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ     PROBLEM:  Invalid directory specified.          บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   By default, this install program will build the   บ
echo บ   directory STARCON2 off your root directory,       บ
echo บ   like so:                                          บ
echo บ                  %1\STARCON2                        บ
echo บ                                                     บ
echo บ   If you wish the STARCON2 directory to be put      บ
echo บ   under a different directory, such as %1\GAMES     บ
echo บ   You must first ensure that the directory exists,  บ
echo บ   then run the install program like this:           บ
echo บ                                                     บ
echo บ                INSTALL %1 GAMES                     บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
cls
goto EXIT

:NEEDSPACE
cls
echo 
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ     PROBLEM:  Not enough disk space on drive %1     บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ   To install Star Control II you will need          บ
echo บ   9,200,000 bytes free on your hard drive.          บ
echo บ                                                     บ
echo บ   Try deleting unnecessary files on your hard       บ
echo บ   drive and then run INSTALL again.                 บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
echo 
pause
cls
goto EXIT
:DONE
cls
echo ษอออออออออออออออออออออออออออออออออออออออออออออออออออออป
echo บ      Star Control II Successfully Installed!        บ
echo ฬอออออออออออออออออออออออออออออออออออออออออออออออออออออน
echo บ        To start the game, type STARCON2.            บ
echo บ                                                     บ
echo บ   You will need at least 580,000 bytes of low DOS   บ
echo บ   memory to play.                                   บ
echo บ                                                     บ
echo บ   For information on how to increase available      บ
echo บ   Low DOS memory, Star Control II's configuration   บ
echo บ   options and other important stuff, please         บ
echo บ   consult the manual.                               บ
echo บ                                                     บ
echo บ   In addition, you may wish to examine the update   บ
echo บ   card which came in the game box.  This card       บ
echo บ   details the changes and improvements to Star      บ
echo บ   Control II which are not included in the manual.  บ
echo บ   A complete version of this information has also   บ
echo บ   been included in the UPDATE.TXT file, which you   บ
echo บ   will find in your game directory.                 บ
echo ศอออออออออออออออออออออออออออออออออออออออออออออออออออออผ
goto EXIT

:EXIT

